Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class SimpleJavaTypeNode

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.SimpleJavaTypeNode

All Implemented Interfaces:
  JavaNode, Node, TypeNode

Direct Known Subclasses:
  ASTAdditiveExpression, ASTAllocationExpression, ASTAndExpression, ASTBooleanLiteral, ASTCastExpression, ASTClassOrInterfaceType, ASTCompilationUnit, ASTConditionalAndExpression, ASTConditionalExpression, ASTConditionalOrExpression, ASTEqualityExpression, ASTExclusiveOrExpression, ASTExpression, ASTImportDeclaration, ASTInclusiveOrExpression, ASTInstanceOfExpression, ASTLiteral, ASTMarkerAnnotation, ASTMultiplicativeExpression, ASTName, ASTNullLiteral, ASTPostfixExpression, ASTPreDecrementExpression, ASTPreIncrementExpression, ASTPrimaryExpression, ASTPrimaryPrefix, ASTPrimitiveType, ASTReferenceType, ASTRelationalExpression, ASTShiftExpression, ASTStatementExpression, ASTType, ASTTypeDeclaration, ASTUnaryExpression, ASTUnaryExpressionNotPlusMinus, ASTVariableDeclarator, ASTVariableDeclaratorId

    public class SimpleJavaTypeNode

extends SimpleJavaNode
implements TypeNode

An extension of the SimpleJavaNode which implements the TypeNode interface.

See Also:
  `SimpleJavaNode`, `TypeNode`

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`SimpleJavaTypeNode(int i)`
`SimpleJavaTypeNode(JavaParser p, int i)`

Method Summary
`java.lang.Class` | `getType()` Get the Java Class associated with this node.
`void` | `setType(java.lang.Class type)` Set the Java Class associated with this node.

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getLabel, getNthParent, getParentsOfType, getScope, hasImageEqualTo, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setScope, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### SimpleJavaTypeNode

    public SimpleJavaTypeNode(int i)

### SimpleJavaTypeNode

    public SimpleJavaTypeNode(JavaParser p,
                              int i)

Method Detail

### getType

    public java.lang.Class getType()

  Description copied from interface: `TypeNode`
  Get the Java Class associated with this node.

  Specified by:
    `getType` in interface `TypeNode`
  Returns:
    The Java Class, may return `null`.

### setType

    public void setType(java.lang.Class type)

  Description copied from interface: `TypeNode`
  Set the Java Class associated with this node.

  Specified by:
    `setType` in interface `TypeNode`
  Parameters:
    `type` - A Java Class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.